WZone Amazon Affiliate Vulnerability

Does anyone know if a patch is on its way for a found critical vulnerability by Wordfence for the WZone Amazon Affiliate plug-in?
https://www.wordfence.com/threat-intel/vulnerabilities/wordpress-plugins/woozone/woocommerce-amazon-affiliates-wordpress-plugin-14010-unauthenticated-sql-injection

Contact the item author and inform about the problem/request an update.